Bug 116281 - [Update] www/suphp to 0.6.2
[Update] www/suphp to 0.6.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: koitsu
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-11 13:50 UTC by viper
Modified: 2007-12-11 20:43 UTC (History)
0 users

See Also:


Attachments
file.diff (10.38 KB, patch)
2007-09-11 13:50 UTC, viper
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description viper 2007-09-11 13:50:01 UTC
Update www/suphp to latest release (0.6.2).

Fix: Apply patch

Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2007-09-11 13:50:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 koitsu freebsd_committer 2007-09-13 10:07:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->koitsu

Needs verification; I'll work on doing that this Friday or Saturday.
Comment 3 viper 2007-11-11 07:35:49 UTC
What happens?
Something wrong with PR or maintainer do not have enough time to
approve PR.

-- 
Best regards
Vladimir Korkodinov
Comment 4 koitsu freebsd_committer 2007-11-11 09:39:51 UTC
Class Changed
From-To: update->maintainer-update

Im looking at this patch tonight.  So far it doesnt work on Apache 2.2, 
and I can see why.  Ill provide a patch update for you to try that 
should work on 2.0 and 2.2 (but I cannot test 2.0).
Comment 5 koitsu freebsd_committer 2007-11-11 12:32:37 UTC
On Sun, Nov 11, 2007 at 08:20:04AM +0000, Vladimir Korkodinov wrote:
>  What happens?
>  Something wrong with PR or maintainer do not have enough time to
>  approve PR.

I've worked quite a bit on this tonight.  The patch you submit isn't
sufficient for Apache 2.2 boxes, plus it has other issues pertaining to
autotools, and needs some additional patches to allow some suPHP_*
directives to work outside of the VirtualHost scope.

Vladimir, can you try out the following tarball and tell me if it works
for you?  I do not have an Apache 2.0 box to test on (we use Apache
2.2), but it works on our RELENG_7 + Apache 2.2 machines.

http://jdc.parodius.com/freebsd/suphp.tar.gz

Thanks.

-- 
| Jeremy Chadwick                                    jdc at parodius.com |
| Parodius Networking                           http://www.parodius.com/ |
| UNIX Systems Administrator                      Mountain View, CA, USA |
| Making life hard for others since 1977.                  PGP: 4BD6C0CB |
Comment 6 dfilter freebsd_committer 2007-12-11 20:39:02 UTC
koitsu      2007-12-11 20:38:59 UTC

  FreeBSD ports repository

  Modified files:
    www/suphp            Makefile distinfo pkg-message pkg-plist 
    www/suphp/files      patch-src::apache2::mod_suphp.c 
  Added files:
    www/suphp/files      patch-acinclude.m4 
                         patch-doc::suphp.conf-example 
  Removed files:
    www/suphp/files      patch-Makefile.in patch-configure 
                         patch-src-suphp.c patch-src::Makefile.in 
                         patch-src::apache::Makefile.in 
  Log:
  Upgrade to suPHP 0.6.2.  This upgrade is quite major; it introduces
  numerous features necessary for hosting, adds the use of a configuration
  file (vs. compile-time settings) for configuration details, and is
  presently supported by the software author.
  
  Changes to httpd.conf are required for this to work, otherwise PHP
  content is offered for download and not parsed.  pkg-message contains
  full migration details, but here's the simple version:
  
  suPHP 0.5.2                            suPHP 0.6.2
  ===========                            ===========
  AddType application/x-httpd-php .php   AddType x-httpd-php .php
  AddHandler x-httpd-php .php            suPHP_AddHandler x-httpd-php
  
  Tested on RELENG_6 and RELENG_7, using Apache 2.0 and 2.2, with the
  help of the PR submitter.
  
  Testing for Apache 1.3 was not performed, thus the port requires the
  use of 2.0 or later.  suPHP 0.6.2 does support Apache 1.3, but I'll
  need someone running 1.3 to work with me on fixing the port to support
  it, if desired.
  
  PR:             ports/116281
  Submitted by:   Vladimir Korkodinov <viper@perm.raid.ru>
  
  Revision  Changes    Path
  1.24      +32 -53    ports/www/suphp/Makefile
  1.10      +3 -3      ports/www/suphp/distinfo
  1.2       +0 -9      ports/www/suphp/files/patch-Makefile.in (dead)
  1.1       +11 -0     ports/www/suphp/files/patch-acinclude.m4 (new)
  1.4       +0 -11     ports/www/suphp/files/patch-configure (dead)
  1.1       +30 -0     ports/www/suphp/files/patch-doc::suphp.conf-example (new)
  1.2       +0 -11     ports/www/suphp/files/patch-src-suphp.c (dead)
  1.4       +0 -62     ports/www/suphp/files/patch-src::Makefile.in (dead)
  1.3       +12 -57    ports/www/suphp/files/patch-src::apache2::mod_suphp.c
  1.2       +0 -13     ports/www/suphp/files/patch-src::apache::Makefile.in (dead)
  1.3       +39 -4     ports/www/suphp/pkg-message
  1.6       +9 -18     ports/www/suphp/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 koitsu freebsd_committer 2007-12-11 20:43:42 UTC
State Changed
From-To: feedback->closed

Committed, with major changes. Testing was performed by PR submitter. 
Thanks!